curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"fx_pairs": [
"<string>"
],
"market_dates": [
"2023-11-07T05:31:56Z"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"fx_pairs": ["<string>"],
"market_dates": ["2023-11-07T05:31:56Z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
fx_pairs: ['<string>'],
market_dates: ['2023-11-07T05:31:56Z']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'fx_pairs' => [
'<string>'
],
'market_dates' => [
'2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"fx_vol_surfaces": [
{
"$type": "Derivitec.Web.Core.MarketData.FxVolSurface, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"benchmark_fwd_factors": [
123
],
"benchmark_maturities": [
123
],
"call_wings": [
123
],
"put_wings": [
123
],
"reference_date": "2023-11-07T05:31:56Z",
"skews": [
123
],
"smiles": [
123
],
"spot_ref": 123,
"vols": [
123
],
"fx_pair": "<string>",
"is_quoted_fx_vol": false
}
]
}Retrieve FX volatility surfaces for market dates.
Use this operation to retrieve complete FX volatility surfaces for requested pairs and market dates from
one provider scope. When omitted, ProviderId defaults to Derivitec; this operation does not
modify market data.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"fx_pairs": [
"<string>"
],
"market_dates": [
"2023-11-07T05:31:56Z"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"fx_pairs": ["<string>"],
"market_dates": ["2023-11-07T05:31:56Z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
fx_pairs: ['<string>'],
market_dates: ['2023-11-07T05:31:56Z']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'fx_pairs' => [
'<string>'
],
'market_dates' => [
'2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolSurfaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"fx_vol_surfaces": [
{
"$type": "Derivitec.Web.Core.MarketData.FxVolSurface, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"benchmark_fwd_factors": [
123
],
"benchmark_maturities": [
123
],
"call_wings": [
123
],
"put_wings": [
123
],
"reference_date": "2023-11-07T05:31:56Z",
"skews": [
123
],
"smiles": [
123
],
"spot_ref": 123,
"vols": [
123
],
"fx_pair": "<string>",
"is_quoted_fx_vol": false
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The query payload. FxPairs must be non-empty, MarketDates must be supplied as ISO 8601 date/time values, and ProviderId optionally identifies the source provider.
Queries FX volatility surfaces by currency pair and market date.
Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesRequest, Derivitec.Web.Core Name of the market-data environment to use. Supply either this name or provider_id, not both.
"Example market data"
Opaque identifier of the market-data provider to use. Supply either this identifier or market_data_environment_name, not both.
FX pairs that narrow the FX volatility surfaces operation.
Market dates on which FX volatility surfaces are requested.
Response
Returns the available FX volatility surfaces and any pair, date, or provider lookup errors.
Returns FX volatility surfaces and query errors.
Derivitec.Web.Core.MarketData.ApiGetFxVolSurfacesResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
FX volatility surfaces returned by the query.
Show child attributes
Show child attributes
Was this page helpful?